public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Ondrej Mosnacek <omosnace@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: guard against missing unconfined_service_t
Date: Fri, 11 Sep 2026 13:19:23 GMT [thread overview]
Message-ID: <178913276357.1.14697797339443451531.tests-selinux-153042bdadf7@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 153042bdadf7fc139b8b9516921510424e7b8e59
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2021-09-24T12:02:53+02:00
Stats : +5/-2 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/153042bdadf7fc139b8b9516921510424e7b8e59?branch=pr775-checkpolicy-revdeps
Log:
kernel/selinux-testsuite: guard against missing unconfined_service_t
RHEL-6 didn't have unconfined_service_t yet, so we must skip the fd::use
workaround there.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 188c240..bafc765 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -305,8 +305,11 @@ rlJournalStart
"Harden tun_tap test against missing defs"
# needed to avoid a flood of AVCs when run via restraint
- rlRun "sed -i 's/type unconfined_t;/type unconfined_t, unconfined_service_t;/' policy/test_policy.if" 0
- rlRun "sed -i 's/\\(allow \\\$1 initrc_t:fd use;\\)/\\1 allow \$1 unconfined_service_t:fd use;/' policy/test_policy.if" 0
+ # (RHEL-6 doesn't have unconfined_service_t)
+ if ! rlIsRHEL '<7'; then
+ rlRun "sed -i 's/type unconfined_t;/type unconfined_t, unconfined_service_t;/' policy/test_policy.if" 0
+ rlRun "sed -i 's/\\(allow \\\$1 initrc_t:fd use;\\)/\\1 allow \$1 unconfined_service_t:fd use;/' policy/test_policy.if" 0
+ fi
exclude_tests=""
force_tests=""
reply other threads:[~2026-09-11 13:19 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913276357.1.14697797339443451531.tests-selinux-153042bdadf7@fedoraproject.org \
--to=omosnace@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox